# Generate and install participation keys to the node.

## POST

/v2/participation/generate/{address}

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Parameters

### Path Parameters

**address**  
required  
string  
/[A-Z0-9]{58}/  
An account public key.

### Query Parameters

**dilution**  
integer format: uint64  
Key dilution for two-level participation keys (defaults to sqrt of validity window).

**first**  
required  
integer format: uint64  
First round for participation key.

**last**  
required  
integer format: uint64  
Last round for participation key.

## Responses

### 200

An empty JSON object is returned if the generation process was started. Currently no status is available.

Select media type application/json  
string

### 400

Bad Request

Select media type application/json  
An error response with optional data field.

object  
**data**  
object  
**message**  
required  
string

### 401

Invalid API Token

Select media type application/json  
An error response with optional data field.

object  
**data**  
object  
**message**  
required  
string

### 500

Internal Error

Select media type application/json  
An error response with optional data field.

object  
**data**  
object  
**message**  
required  
string

### 503

Service Temporarily Unavailable

Select media type application/json  
An error response with optional data field.

object  
**data**  
object  
**message**  
required  
string

### default

Unknown Error
